也许颓废也是 ... 另一种美
一个学习了N年还是小白的网络爱好者 ...

flexget引起的python3升级,导致的OMV无法访问惨案

哈哈哈哈,标题够秀吧

起因:

通过flexget订阅的某PT站,突然无故推送了很多,我未收藏下载的内容。其他PT的订阅都正常

过程:

首先查看flexget记录,确认种子都是通过flexget推送过来。使用的版本2.15,目前新版为3.15遂决定升级到新版

系统环境:

openmediavault 4 (基于debian9)

python2 = Python 2.7.13

python3 = Python 3.5.2

Flexget = 2.15

首先,使用以下命令升级

pip3 install –upgrade flexget

返回错误:“flexget” python setup.py egg_info check the logs for full command output

google一圈,有的说是可以尝试升级或 重新安装 setuptools ,尝试

pip3 install –upgrade –force-reinstall setuptools

后,再次升级flexget还是提示失败。

再次google,发现flexget3.1.5最低需要Python3.6,但是debian9的Python3无法通过 apt升级,全部都是需要下载源文件进行编译安装,感觉比较麻烦。

突然发现了一篇文章,通过aptitude安装debian的 testing 文件。遂尝试,命令如下:

https://my.oschina.net/yehun/blog/3047618

加源
sudo vim /etc/apt/sources.list
deb http://mirrors.163.com/debian/ testing main

安装
sudo aptitude update
sudo aptitude install python3.7 python3.7-dev python3.7-distutils

wget https://bootstrap.pypa.io/get-pip.py
sudo python3.7 get-pip.py

sudo pip3 install –upgrade –force-reinstall setuptools

pip aliyun镜像
vim ~/.pip/pip.conf
[global]
trusted-host = mirrors.aliyun.com
index-url = http://mirrors.aliyun.com/pypi/simple/

安装过程很顺利。验证的时候出现了一个奇迹。。。。

Python3.7 -V 后输出:Python 3.7.7,随手又测试了下 Python3 -V 结果输出:Python 3.8.2

晕,这是同时安装 Python的 3.7和3.8啊!

然后用 pip3 install –upgrade flexget 升级 flexget,成功。

但是,发现flexget的webui无法访问,又测试打开OMV4的webui,也无法打开,提示密码错误

遂,通过ssh,输入 omv-firstaid 重置密码,重置后还是提示错误。。。。。。

尝试,重启主机。结果还是 提示错误 。。。。。

开始考虑原因:

1、apt update 及 apt upgrade提示有800多个更新,感觉不正常。。。

2、删除 deb http://mirrors.163.com/debian/ testing main 这个源

3、重新apt update 及 apt upgrade,提示正常。重启后正常登陆和访问 flexget及omv4的webui。

剩下的大家自己想吧,感觉这也是变相升级 python 3.6 的一个办法 。。。虽说有些风险

赞(0) 打赏
未经允许不得转载:颓废的美 » flexget引起的python3升级,导致的OMV无法访问惨案
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏